Subject: bug#76418: distrobox: incomplete dependencies

From: 45mg <[email-masked]>
Date: Wed, 19 Feb 2025 17:55:00 +0000

Consider:

--8<---------------cut here---------------start------------->8---
$ guix shell --pure distrobox -- distrobox enter container-name
/gnu/store/rmqfnbqa517s5y4acx6fbmgfr148vj83-profile/bin/distrobox: line 61: dirname: command not found

...(trial and error)

$ guix shell --pure distrobox coreutils sed gawk grep -- distrobox enter container-name
/gnu/store/fhyzghpyr1ql4x7a1iz8bkv9lkprqc73-profile/bin/distrobox-enter: line 728: rev: command not found
/gnu/store/fhyzghpyr1ql4x7a1iz8bkv9lkprqc73-profile/bin/distrobox-enter: line 733: exec: exec: not found

$ guix shell --pure distrobox coreutils sed gawk grep util-linux -- distrobox enter container-name
(success)
--8<---------------cut here---------------end--------------->8---

Distrobox is a collecton of shell scripts, of which `distrobox-enter` is
just one. I'd be willing to guess that the remaining scripts also
require various other utils, which need to be added as dependencies [1].
To figure out what these are, one could attempt to use each of the
distrobox subcommands in a `guix shell`, as shown above.

Normally I'd get to work on a patch, but I ended up deciding against
using distrobox, so I won't be working on this. Just thought I should
point it out, anyway.

Good luck,
45mg

P.S Maybe we should ask contributors to test that their package works in
    `guix shell`? Along with the other instructions in
    "(guix) Submitting Patches".

[1] Notably, distrobox-host-exec requires flatpak to be installed on the
    host.  AFAICT this is not documented /anywhere/:
    https://github.com/89luca89/distrobox/issues/1692